Page MenuHomePhabricator

Add "Wikimedia Developer Portal" to translatewiki.net
Closed, ResolvedPublic2 Estimated Story Points

Description

Project information

Name: Wikimedia Developer Portal (or wikimedia-developer-portal?)
Homepage: https://developer.wikimedia.org/ once live (see T297140: New Service Request: developer-portal); current testing instance at https://developer-portal.wmcloud.org/
Project link: https://wikitech.wikimedia.org/wiki/Developer_Portal
Code repository: https://gerrit.wikimedia.org/g/wikimedia/developer-portal/

  • Source branch: main
  • Target branch: main

OS License: Code and configuration: GNU GPLv3+ license. Textual content: CC-BY-SA 3.0 license.
Issue Tracker: https://phabricator.wikimedia.org/tag/wikimedia-developer-portal/
Project contact: AKlapper user account on Translatewiki.net
File format: PO

Logo:

Project description:
A single entry point to find Wikimedia technical documentation, and connect with the developer community behind Wikimedia projects.

PO files are expected to be stored as data/locale/${LANGUAGE_CODE}/LC_MESSAGES/mkdocs.po within the repository.

Translation units are extracted from Markdown source files using a custom mkdocs plugin in a process similar to a Django project's workflow. We expect to write help docs on our TWN project page explaining the markdown syntax that translators will need to preserve when localizing our messages.

NOTE: Section below will be filled by twn staff

Project setup checklist

Project configuration (for translation admins)

Namespace: NS_WIKIMEDIA
Prefix: wikimedia-developer-portal-
Validators: None
Insertables:

  1. RegexInsertablesSuggester - !?\[.+\]\(.+\)
  2. UrlInsertablesSuggester

Support:

Concerns

Related Objects

StatusSubtypeAssignedTask
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedNone
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedNone
Resolvedbd808
Resolvedbd808
ResolvedBUG REPORTbd808
Resolvedabi_
Resolvedbd808
ResolvedSpikebd808
Resolvedapaskulin

Event Timeline

Change 791257 had a related patch set uploaded (by BryanDavis; author: BryanDavis):

[wikimedia/developer-portal@refs/meta/config] Add permissions for TWN integration and release tagging

https://gerrit.wikimedia.org/r/791257

Change 791257 merged by BryanDavis:

[wikimedia/developer-portal@refs/meta/config] Add permissions for TWN integration and release tagging

https://gerrit.wikimedia.org/r/791257

As per Bryan we should probably remove some test (machine) translations we are using (e.g. for RTL testing in T287501) at some point. Afterwards, this should be ready to go

Change 791386 had a related patch set uploaded (by BryanDavis; author: Bryan Davis):

[wikimedia/developer-portal@main] Remove "fake" translations used during development

https://gerrit.wikimedia.org/r/791386

Change 791386 merged by jenkins-bot:

[wikimedia/developer-portal@main] Remove "fake" translations used during development

https://gerrit.wikimedia.org/r/791386

bd808 changed the task status from Stalled to Open.May 12 2022, 2:58 PM
bd808 removed a project: Patch-For-Review.
bd808 updated the task description. (Show Details)
bd808 updated the task description. (Show Details)

Change 792180 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[translatewiki@master] Add Wikimedia Developer Portal

https://gerrit.wikimedia.org/r/792180

abi_ changed the task status from Open to In Progress.May 16 2022, 11:44 AM
abi_ claimed this task.
abi_ triaged this task as Medium priority.
abi_ updated the task description. (Show Details)

Change 792180 merged by jenkins-bot:

[translatewiki@master] Add Wikimedia Developer Portal

https://gerrit.wikimedia.org/r/792180

Change 792578 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[translatewiki@master] WikimediaDeveloperPortal: Fix sourcePattern

https://gerrit.wikimedia.org/r/792578

Change 792578 merged by jenkins-bot:

[translatewiki@master] WikimediaDeveloperPortal: Fix sourcePattern

https://gerrit.wikimedia.org/r/792578

@bd808 - Since we don't have a pot file, translatewiki expects a fuzzy tag in the header. Something similar to this: https://gerrit.wikimedia.org/r/plugins/gitiles/wikimedia/toolhub/+/refs/heads/main/toolhub/locale/en/LC_MESSAGES/django.po#6

# SOME DESCRIPTIVE TITLE.
# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
# This file is distributed under the same license as the PACKAGE package.
# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
#
#, fuzzy <--------------------
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2022-04-09 00:51+0000\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"

Change 792725 had a related patch set uploaded (by BryanDavis; author: Bryan Davis):

[wikimedia/developer-portal@main] Mark English PO catalog as fuzzy

https://gerrit.wikimedia.org/r/792725

Change 792725 merged by jenkins-bot:

[wikimedia/developer-portal@main] Mark English PO catalog as fuzzy

https://gerrit.wikimedia.org/r/792725

@bd808 - Since we don't have a pot file, translatewiki expects a fuzzy tag in the header.

We had the code to do this, but apparently I had not rebuilt the English catalog completely since adding the fuzzy tag to the initialization code. Our data/locale/en/LC_MESSAGES/mkdocs.po hopefully has all of the needed metadata now.

Looks like this task is pretty much resolved (thanks)?; Separate T308633 covers issues with parsing strings themselves.

Change 792994 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[translatewiki@master] WikimediaDeveloperPortal: Add definitionFile

https://gerrit.wikimedia.org/r/792994

Change 792995 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[translatewiki@master] WikimediaDeveloperPortal: Improve markdown link and email insertable

https://gerrit.wikimedia.org/r/792995

Change 792994 abandoned by Abijeet Patro:

[translatewiki@master] WikimediaDeveloperPortal: Add definitionFile

Reason:

not needed

https://gerrit.wikimedia.org/r/792994

Looks like this task is pretty much resolved (thanks)?; Separate T308633 covers issues with parsing strings themselves.

We generally leave the tasks open until translations are exported out of translatewiki to the project repository. This should happen tomorrow.

abi_ set the point value for this task to 2.May 19 2022, 8:28 AM

Change 792995 abandoned by Abijeet Patro:

[translatewiki@master] WikimediaDeveloperPortal: Improve markdown link and email insertable

Reason:

In favor of: Ib5dbe9b0c6d604bd699168560b1ef3a4ab6f2d18

https://gerrit.wikimedia.org/r/792995

Change 793527 had a related patch set uploaded (by BryanDavis; author: Bryan Davis):

[integration/config@master] developer-portal: add gate-and-submit-l10n for L10n-bot

https://gerrit.wikimedia.org/r/793527

Change 793528 had a related patch set uploaded (by BryanDavis; author: Bryan Davis):

[translatewiki@master] WikimediaDeveloperPortal: Enable auto-merge

https://gerrit.wikimedia.org/r/793528

Change 793527 merged by jenkins-bot:

[integration/config@master] developer-portal: add gate-and-submit-l10n for L10n-bot

https://gerrit.wikimedia.org/r/793527

Change 793528 merged by jenkins-bot:

[translatewiki@master] WikimediaDeveloperPortal: Enable auto-merge

https://gerrit.wikimedia.org/r/793528

Thanks @bd808 for making the necessary changes. Export from translatewiki was merged automatically: 797185: Localisation updates from https://translatewiki.net. | https://gerrit.wikimedia.org/r/c/wikimedia/developer-portal/+/797185